#!/bin/bash

# 获取 Docker 容器的根目录
DOCKER_ROOT=$(docker info --format '{{.DockerRootDir}}')
if [ -z "$DOCKER_ROOT" ]; then
  echo "Docker根目录不存在，请确保 Docker 已安装并运行。"
  exit 1
fi

# 停止并删除所有正在运行的 Docker 容器
echo "停止并删除所有正在运行的 Docker 容器..."
docker stop $(docker ps -q) 2>/dev/null
docker rm -f $(docker ps -aq) 2>/dev/null

# 删除所有 Docker 容器的数据目录
CONTAINER_DIR="$DOCKER_ROOT/containers"
if [ -d "$CONTAINER_DIR" ]; then
  echo "删除 Docker 容器的数据目录: $CONTAINER_DIR..."
  rm -rf "$CONTAINER_DIR"/*
else
  echo "未找到 Docker 容器的数据目录: $CONTAINER_DIR"
fi

# 删除 /usr/local/fm107 目录
FM107_DIR="/usr/local/fm107"
if [ -d "$FM107_DIR" ]; then
  echo "删除目录: $FM107_DIR..."
  rm -rf "$FM107_DIR"
else
  echo "未找到目录: $FM107_DIR"
fi

echo "操作完成！"